function [comb] = pick_n_list(n, k)

refS = [1:1:n];

comb = [];

assert(n >= k)

if k == 1
  for i = 1:n
    refT = [i];
    refR = setdiff(refS, refT);
    comb = [comb; refR];
  end

elseif k == 2
  for i = 1:n
    for j = (i+1):n
      refT = [i j];
      refR = setdiff(refS, refT);
      comb = [comb; refR];
    end
  end

elseif k == 3
  for i = 1:n
    for j = (i+1):n
      for k = (j+1):n
        refT = [i j k];
        refR = setdiff(refS, refT);
        comb = [comb; refR];
      end
    end
  end
else
  assert(false)
end
